Chats
List Chat Lists
Returns the custom user lists that can be used to filter the chats endpoint (for example "VIP Fans", "New Subscribers"). For full list CRUD use the User Lists endpoints. Requires permission api_chats_list_chat_lists.
https://public-api.fansmetric.comAuthorization
defaultAuthorizationBearer <token>Send your FansMetric API key as a Bearer token in the Authorization header.
In: header
Path Parameters
account_id*integerOnlyFans numeric account ID.
Query Parameters
limitintegerNumber of lists. Default 10. Min 1, max 100.
offsetintegerPagination offset.
Response Fields
data.list[].idintegerList ID — pass to
/chats?list_id=....data.list[].typestringTypically
custom.data.list[].namestringDisplay name.
data.list[].postsCountintegerNumber of users in the list.
data.hasMorebooleanWhether more lists exist.
dataobject | arrayEndpoint-specific payload. See the fields below for this route.
_meta._credits.usedintegerCredits consumed by this request (currently always
1)._meta._rate_limits.limit_minuteintegerMaximum requests per minute for the organization.
_meta._rate_limits.remaining_minuteintegerRemaining requests in the current minute window.
_meta._rate_limits.limit_dayintegerMaximum requests per day for the organization.
_meta._rate_limits.remaining_dayintegerRemaining requests in the current day window.
| Field | Type | Description |
|---|---|---|
| data.list[].id | integer | List ID — pass to /chats?list_id=.... |
| data.list[].type | string | Typically custom. |
| data.list[].name | string | Display name. |
| data.list[].postsCount | integer | Number of users in the list. |
| data.hasMore | boolean | Whether more lists exist. |
| data | object | array | Endpoint-specific payload. See the fields below for this route. |
| _meta._credits.used | integer | Credits consumed by this request (currently always 1). |
| _meta._rate_limits.limit_minute | integer | Maximum requests per minute for the organization. |
| _meta._rate_limits.remaining_minute | integer | Remaining requests in the current minute window. |
| _meta._rate_limits.limit_day | integer | Maximum requests per day for the organization. |
| _meta._rate_limits.remaining_day | integer | Remaining requests in the current day window. |
curl --request GET "https://public-api.fansmetric.com/v1/100000001/lists?limit=20&offset=0" \
--header "Authorization: Bearer YOUR_API_KEY"Response
200